---
title: Sensor.stop()
slug: Web/API/Sensor/stop
tags:
  - API
  - Generic Sensor API
  - Method
  - Reference
  - Sensor
  - Sensor APIs
  - Sensors
  - stop()
---
<div>{{APIRef("Generic Sensor API")}}</div>

<p><span class="seoSummary">The <strong><code>stop</code></strong> method of the {{domxref("Sensor")}} interface deactivates the current sensor. </span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">Sensor.stop()</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<p><span style='background-color: #333333; color: #ffffff; font-family: x-locale-heading-primary,zillaslab,Palatino,"Palatino Linotype",x-locale-heading-secondary,serif; font-size: 1.6rem; letter-spacing: -0.00333rem;'>Return value</span></p>

<p>{{jsxref('undefined')}}</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">// TBD</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Generic Sensor','#dom-sensor-stop','stop')}}</td>
   <td>{{Spec2('Generic Sensor')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Sensor.stop")}}</p>
